## Class Logol

    java.lang.Object
      Logol

    public class Logol

extends java.lang.Object

Field Summary
`private static org.apache.commons.configuration.Configuration` `config`
`private static int` `execType` Execution type: 0 : local 0 : sge (drmaa)
`private static java.lang.String` `FILESEPARATORPROPERTY`
`private static int` `maxLength` Defines the maximum size of a variable.
`private static int` `maxSpacerLength` Defines the maximum size of a spacer.
`private static int` `minLength` Defines the minimum size of a variable.
`private static int` `nbproc`

Constructor Summary
`Logol()`

Method Summary
`private static void` `compile()`
`private static void` `createCFile()`
`private static void` `generateFile()`
`private static void` `generatePreAnalysis()`
`private static void` `init(java.lang.String propFile)`
`private static void` `loadVariables2Postpone(java.lang.String preanalysisResultFile)` Read preanalysis result information to see which variable treatments need to be postponed
`static void` `main(java.lang.String[] args)`
`private static void` `makeExe()`
`private static void` `treatModelParameters()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### FILESEPARATORPROPERTY

    private static final java.lang.String FILESEPARATORPROPERTY

See Also:
  Constant Field Values

### maxSpacerLength

    private static int maxSpacerLength

  Defines the maximum size of a spacer.
  . Used as a maximum shift when a spacer is used.

### maxLength

    private static int maxLength

  Defines the maximum size of a variable.
  Used if no length constraint is applied on variable or "_" in max of length constraint.

### minLength

    private static int minLength

  Defines the minimum size of a variable.
  Used if no length constraint is applied on variable.

### execType

    private static int execType

  Execution type:
  - 0 : local
  - 0 : sge (drmaa)

### nbproc

    private static int nbproc

### config

    private static org.apache.commons.configuration.Configuration config

Constructor Detail

### Logol

    public Logol()

Method Detail

### init

    private static void init(java.lang.String propFile)
                      throws org.apache.commons.configuration.ConfigurationException

  Throws:
    `org.apache.commons.configuration.ConfigurationException`

### main

    public static void main(java.lang.String[] args)
                     throws java.io.IOException,
                            org.antlr.runtime.RecognitionException,
                            java.lang.InterruptedException,
                            org.apache.commons.configuration.ConfigurationException,
                            org.apache.commons.cli.ParseException,
                            GrammarException

  Parameters:
    `args` - path to working directory + unique ID
  Throws:
    `java.io.IOException`
    `org.antlr.runtime.RecognitionException`
    `java.lang.InterruptedException`
    `org.apache.commons.configuration.ConfigurationException`
    `org.apache.commons.cli.ParseException`
    `GrammarException`

### makeExe

    private static void makeExe()
                         throws java.io.IOException

  Throws:
    `java.io.IOException`

### compile

    private static void compile()
                         throws java.io.IOException

  Throws:
    `java.io.IOException`

### createCFile

    private static void createCFile()
                             throws java.io.IOException

  Throws:
    `java.io.IOException`

### treatModelParameters

    private static void treatModelParameters()

### generatePreAnalysis

    private static void generatePreAnalysis()
                                     throws java.io.IOException

  Throws:
    `java.io.IOException`

### loadVariables2Postpone

    private static void loadVariables2Postpone(java.lang.String preanalysisResultFile)

  Read preanalysis result information to see which variable treatments need to be postponed

  Parameters:
    `preanalysisResultFile` - name of result file

### generateFile

    private static void generateFile()
                              throws java.io.FileNotFoundException

  Throws:
    `java.io.FileNotFoundException`